
#ifndef DREXDMA_H
#define DREXDMA_H

#include "drexchar.h"

#define DREXDMA_OFFSET_CTRL 0x00
#define DREXDMA_OFFSET_STAT 0x10
#define DREXDMA_OFFSET_FIFO 0x20

int init_dma_buffers(struct drexpcie_device_priv *drexpcie_priv);
void release_dma_buffers(struct drexpcie_device_priv *drexpcie_priv);

int dma_init(struct drexpcie_device_priv *drexpcie_priv);
int dma_clear(struct drexpcie_device_priv *drexpcie_priv);
int dma_start(struct drexpcie_device_priv *drexpcie_priv);
int dma_stop(struct drexpcie_device_priv *drexpcie_priv);


#endif